## net.sourceforge.pmd
Class SourceTypeToRuleLanguageMapper

    java.lang.Object
      net.sourceforge.pmd.SourceTypeToRuleLanguageMapper

public class SourceTypeToRuleLanguageMapper
extends java.lang.Object

Mapping of SourceType to RuleLanguage.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Constructor Summary
`SourceTypeToRuleLanguageMapper()`

Method Summary
`static Language` `getMappedLanguage(SourceType sourceType)` Get the RuleLanguage that corresponds to the given SourceType.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceTypeToRuleLanguageMapper

    public SourceTypeToRuleLanguageMapper()

Method Detail

### getMappedLanguage

    public static Language getMappedLanguage(SourceType sourceType)

  Get the RuleLanguage that corresponds to the given SourceType.

  Parameters:
    `sourceType` - the SourceType
  Returns:
    a RuleLanguage

Copyright © 2002-2006 InfoEther. All Rights Reserved.